apiVersion: v1
kind: Service
metadata:
  name: eureka
  labels:
    service: eureka
spec:
  clusterIP: None
  type: ClusterIP
  ports:
    - port: 8761
      targetPort: 8761
      name: eureka
  selector:
    app: eureka

---
apiVersion: v1
kind: Service
metadata:
  name: eureka-node-port
spec:
  type: NodePort
  ports:
  - port: 31331
    targetPort: 8761
    nodePort: 31331
  selector:
    app: eureka-pod